Package ru.bgcrm.plugin.bgbilling.proto.model.helpdesk

# Class HdMessage

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.helpdesk.HdMessage

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

public class HdMessage extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttach(FileData file)`
  `List<FileData>`
  `getAttachList()`
  `int`
  `getDirection()`
  `String`
  `getText()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getUserIdFrom()`
  `int`
  `getUserIdTo()`
  `void`
  `setDirection(int direction)`
  `void`
  `setText(String text)`
  `void`
  `setTimeFrom(Date fromTime)`
  `void`
  `setTimeTo(Date toTime)`
  `void`
  `setUserIdFrom(int userIdFrom)`
  `void`
  `setUserIdTo(int userIdTo)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HdMessage

    public HdMessage()

- ## Method Details

  - ### getDirection

    public int getDirection()

  - ### setDirection

    public void setDirection(int direction)

  - ### getUserIdFrom

    public int getUserIdFrom()

  - ### setUserIdFrom

    public void setUserIdFrom(int userIdFrom)

  - ### getUserIdTo

    public int getUserIdTo()

  - ### setUserIdTo

    public void setUserIdTo(int userIdTo)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(Date fromTime)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo(Date toTime)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String text)

  - ### addAttach

    public void addAttach(FileData file)

  - ### getAttachList

    public List<FileData> getAttachList()